Update Route
Update the route metadata
Update the route metadata
In: header
Path Parameters
Query Parameters
Route version
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/orders/routes/string" \ -H "Content-Type: application/json" \ -d '{ "metadata": "{\\"customerId\\": \\"4255534\\", \\"zone\\": 4}" }'{ "route_handle": "route-1", "ops_group_handle": "SAN_JOSE_WH", "plan_mode": "manual", "status": "dispatched", "version": 1, "estimate": { "start_by": "2023-03-14T23:20:00Z", "distance": 1000, "duration": 600, "polyline": { "type": "LineString", "coordinates": [ [ 77.72123, 12.89617 ], [ 77.72169, 12.89595 ], [ 77.72214, 12.89572 ] ] }, "start_location": { "type": "Point", "coordinates": [ -121.8924515, 37.4124516 ] }, "end_location": { "type": "Point", "coordinates": [ -121.8984515, 37.5124516 ] } }, "orders": [ { "order_handle": "order-101", "fulfillment_attempt": 1, "status": "assigned", "ops_group_handle": "store-sjc", "worker_handle": "James", "device_id": "2F659D4D-B524-45F0-A6E2-093CF2BB5574", "created_at": "2023-03-14T23:00:00Z", "scheduled_at": "2023-03-14T23:50:00Z", "scheduled_after": "2023-03-14T23:20:00Z", "metadata": { "customerId": "1223344" }, "region": { "city": "Fremont", "state": "California", "country": "United States of America" }, "destination": { "geometry": { "type": "Point", "coordinates": [ -121.8984515, 37.5124516 ] }, "radius": 50, "address": "Mission Peak, Fremont CA 94539" }, "risk_status": false, "expected_service_time": 600, "product_type": [ "plumber" ], "type": "drop", "capacity_used": 5 } ], "device_id": "2F659D4D-B524-45F0-A6E2-093CF2BB5574", "metadata": { "customerId": "4255534", "zone": 4 }, "embed_url": "https://embed.hypertrack.com/dkdkddnd"}{ "detail": {}, "message": "string"}{ "detail": {}, "message": "string"}{ "detail": { "<location>": { "<field_name>": [ "string" ] } }, "message": "string"}Get Order by Route Handle GET
Get the orders by the `route_handle` ### Planning failure reasons When an order is left unplanned by automated planning, `planning_failure_reason` may contain one of these values: - `No Worker was available for this plan.` - `No Worker schedule overlaps with this order's time window.` - `This order is outside the available Worker working hours.` - `Worker location is unavailable, so travel time could not be evaluated.` - `Worker start location is unavailable for the configured route start setting.` - `No Worker supports the required product type for this order.` - `Route was being modified concurrently and this order needs to be re-planned.` - `The optimizer dropped this order to satisfy planning constraints for the overall plan.` - `The optimizer could not find a feasible plan for the provided constraints.` - `Travel time calculation failed for this planning attempt.` - `Ops group configuration is incomplete for automated planning.` - `Assigning this order would exceed route or Worker capacity.` - `No Worker can reach this order before scheduled_at.` - `Assigning this order would delay an already planned downstream order.` - `Assigning this order would exceed the Worker's shift end time.` - `Automated planning could not assign this order with the provided constraints.`
Disable Order POST
Disable an order identified by the given order_handle. This will recompute the ETA by excluding this order in the route